| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Qore::AbstractPollableIoObjectBase Class Reference

Interface for builtin classes that support I/O polling. More...

`#include <QC_AbstractPollableIoObjectBase.dox.h>`

Inheritance diagram for Qore::AbstractPollableIoObjectBase:
[legend]

## Public Member Functions
| constructor ()
| Throws an exception; this class is not usable by Qore classes.
int | getPollableDescriptor ()
| Returns a pollable file / socket / I/O descriptor.
Public Member Functions inherited from Qore::AbstractPollableIoObject
abstract int | getPollableDescriptor ()
| Returns a pollable file / socket / I/O descriptor.

## Detailed Description

Interface for builtin classes that support I/O polling.

This class is only usable by internal classes; it is not directly usable by Qore classes.

Since
  Qore 1.12

## Member Function Documentation

## ◆ constructor()

Qore::AbstractPollableIoObjectBase::constructor | ( |  | ) |

Throws an exception; this class is not usable by Qore classes.

Exceptions

  INTERNAL-ONLY | this class is not usable by Qore classes

## ◆ getPollableDescriptor()

int Qore::AbstractPollableIoObjectBase::getPollableDescriptor | ( |  | ) |

Returns a pollable file / socket / I/O descriptor.

Returns
  a pollable file / socket / I/O descriptor